$(document).ready(function(){
	function getNum(val){
	    if (isNaN(val)) 
			return 0;
	    else
			return val;
	}
	
	$("input[name=ipo_kv_sum], input[name=ipo_vznos]").keypress(function(){
		$(".ipo_sum b").html(getNum($("input[name=ipo_kv_sum]").val()*1) - getNum($("input[name=ipo_vznos]").val()*1));
	});
	
	$("input[name=ipo_kv_sum], input[name=ipo_vznos]").focus(function(){
		$(".ipo_sum b").html(getNum($("input[name=ipo_kv_sum]").val()*1) - getNum($("input[name=ipo_vznos]").val()*1));
	});
	
	$("#ipocalc_form input").hover(function(){
		$(".ipo_sum b").html(getNum($("input[name=ipo_kv_sum]").val()*1) - getNum($("input[name=ipo_vznos]").val()*1));
	});

	$("#ipo_calc_btn").click(function(){
		var ipo_kv_sum = $("input[name=ipo_kv_sum]").val();
		var ipo_time = $("input[name=ipo_time]").val();
		var ipo_vznos = $("input[name=ipo_vznos]").val();	
				
		if(ipo_kv_sum != '' && ipo_time != '' && ipo_vznos != ''){
			$.post("ipo_calc.php",{kv_sum:ipo_kv_sum, time:ipo_time, vznos:ipo_vznos},function(ipo_data){
				if(ipo_data != '0'){
					$("#ipo_rez").html(ipo_data);
					$("#ipocalc_form").trigger('reset');

					var popID = 'ipo_rez'; //Get Popup Name
						var popURL = '#?w=800'; //Get Popup href to define size
					 
						//Pull Query & Variables from href URL
						var query= popURL.split('?');
						var dim= query[1].split('&');
						var popWidth = dim[0].split('=')[1]; //Gets the first query string value
					 
						//Fade in the Popup and add close button
						$('#' + popID).fadeIn().css({ 'width': Number( popWidth ) }).prepend('<a href="#" class="btn_close" title="Закрыть окно" alt="Закрыть окно"></a>');
					 
						//Define margin for center alignment (vertical   horizontal) - we add 80px to the height/width to accomodate for the padding  and border width defined in the css
						var popMargTop = ($('#' + popID).height() + 50) / 2;
						var popMargLeft = ($('#' + popID).width() + 80) / 2;
					 
						//Apply Margin to Popup
						$('#' + popID).css({
							'margin-top' : -popMargTop,
							'margin-left' : -popMargLeft
						});
						//Fade in Background
						$('body').append('<div id="fade"></div>'); //Add the fade layer to bottom of the body tag.
						$('#fade').css({'filter' : 'alpha(opacity=10)'}).fadeIn(); //Fade in the fade layer - .css({'filter' : 'alpha(opacity=80)'}) is used to fix the IE Bug on fading transparencies 
						
						$("#rez_scroll").mCustomScrollbar();
					 
						return false;				
				}
				else{
					$(".ipo_mes").html("Проверьте правильность заполнения полей!").css("background", "#fa7272").fadeIn().delay(2000).fadeOut();
				}
			});
		}
		else{
			$(".ipo_mes").html("Заполните пожалуйста все обязательные поля!").css("background", "#fa7272").fadeIn().delay(2000).fadeOut();
		}
	});
});